Debian Bug report logs - #384332
jadetex: Missing path setting, therefore problems building format when cslatex is installed

version graph

Package: jadetex; Maintainer for jadetex is Debian TeX Task Force <debian-tex-maint@lists.debian.org>; Source for jadetex is src:jadetex.

Reported by: Frank Küster <frank@debian.org>

Date: Wed, 23 Aug 2006 15:33:11 UTC

Severity: serious

Tags: patch

Found in version jadetex/3.13-6

Fixed in version jadetex/3.13-7

Done: OHURA Makoto <ohura@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Frank Küster <frank@debian.org>, OHURA Makoto <ohura@debian.org>:
Bug#384332; Package jadetex. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
New Bug report received and forwarded. Copy sent to Frank Küster <frank@debian.org>, OHURA Makoto <ohura@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: jadetex: Missing path setting, therefore problems building format when cslatex is installed
Date: Wed, 23 Aug 2006 17:30:04 +0200
Package: jadetex
Version: 3.13-6
Severity: serious
Tags: patch

(This bug also exists upstream, at least in texlive.  The Debian TeX
maintainer are going to care for this).

Since jadetex is a LaTeX-based format, it should search TEXMF/tex/latex
after TEXMF/tex/jadetex and before other paths.  Because the latex path
is missing in TEXINPUTS.jadetex, jadetex will for example find cslatex's
version of fonttext.cfg before LaTeX's.  

This problem has not shown up so far because jadetex currently loads a
pre-built latex.fmt.  But this must be stopped (see the clone of bug
#375037, don't know the number jet), and therefore jadetex would get
incompatible with cslatex.  But the bug would be important anyway.

Furthermore, pdfjadetex should not mention the non-existent pdftex
toplevel directory in its search path.  This leads to the following
complete patch:

--- /etc/texmf/texmf.d/96JadeTeX.cnf.orig	2006-08-23 17:25:53.000000000 +0200
+++ /etc/texmf/texmf.d/96JadeTeX.cnf	2006-08-23 17:26:10.000000000 +0200
@@ -1,5 +1,5 @@
-TEXINPUTS.jadetex = .;$TEXMF/tex/{jadetex,plain,generic,}//
-TEXINPUTS.pdfjadetex = .;$TEXMF/{pdftex,tex}/{jadetex,plain,generic,}//
+TEXINPUTS.jadetex = .;$TEXMF/tex/{jadetex,latex,plain,generic,}//
+TEXINPUTS.pdfjadetex = .;$TEXMF/{tex}/{jadetex,latex,plain,generic,}//


Note that there's an additional bug in tex-common: It also sets
TEXINPUTS.jadetex and TEXINPUTS.pdfjadetex, so the change in jadetex
won't have any effect until this is removed.  No bugnumber yet, I'll
file it at once.  And please don't wonder why I file it with severity
important only: That's because the bug exists also in the version in
testing, tex-common is supposed to migrate to testing tonight, and I
don't want to try whether I am able to correctly tell britney that the
bug is in both versions.

Regards, Frank


-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (99, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.16-2-686
Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15)

Versions of packages jadetex depends on:
ii  debianutils                   2.8.4      Miscellaneous utilities specific t
ii  tetex-bin                     3.0-17bpo1 The teTeX binary files
ii  tetex-extra                   3.0-18bpo1 Additional library files of teTeX

Versions of packages tetex-base depends on:
ii  tex-common                    0.24bpo1   Common infrastructure for using an
ii  ucf                           1.17       Update Configuration File: preserv

Versions of packages tetex-bin depends on:
ii  debconf [debconf-2 1.4.30.13             Debian configuration management sy
ii  debianutils        2.8.4                 Miscellaneous utilities specific t
ii  dialog             1.0-20050306-1        Displays user-friendly dialog boxe
ii  dpkg               1.10.28               Package maintenance system for Deb
ii  ed                 0.2-20                The classic unix line editor
ii  libc6              2.3.2.ds1-22sarge3    GNU C Library: Shared libraries an
ii  libfontconfig1     2.3.1-2               generic font configuration library
ii  libfreetype6       2.1.7-2.5             FreeType 2 font engine, shared lib
ii  libgcc1            1:3.4.3-13            GCC support library
ii  libice6            6.9.0.dfsg.1-5bpo2    Inter-Client Exchange library
ii  libjpeg62          6b-10                 The Independent JPEG Group's JPEG 
ii  libkpathsea4       3.0-17bpo1            path search library for teTeX (run
ii  libpaper1          1.1.14-3              Library for handling paper charact
ii  libpng12-0         1.2.8rel-1            PNG library - runtime
ii  libpoppler0c2      0.4.5-3bpo1           PDF rendering library
ii  libsm6             6.9.0.dfsg.1-5bpo2    X Window System Session Management
ii  libstdc++5         1:3.3.5-13            The GNU Standard C++ Library v3
ii  libt1-5            5.0.2-3               Type 1 font rasterizer library - r
ii  libx11-6           6.9.0.dfsg.1-5bpo2    X Window System protocol client li
ii  libxaw7            4.3.0.dfsg.1-14sarge1 X Athena widget set library
ii  libxext6           6.9.0.dfsg.1-5bpo2    X Window System miscellaneous exte
ii  libxmu6            6.9.0.dfsg.1-5bpo2    X Window System miscellaneous util
ii  libxpm4            6.9.0.dfsg.1-5bpo2    X pixmap library
ii  libxt6             6.9.0.dfsg.1-5bpo2    X Toolkit Intrinsics
ii  mime-support       3.28-1                MIME files 'mime.types' & 'mailcap
ii  perl               5.8.4-8sarge4         Larry Wall's Practical Extraction 
ii  sed                4.1.2-8               The GNU sed stream editor
ii  tetex-base         3.0-18bpo1            Basic library files of teTeX
ii  ucf                1.17                  Update Configuration File: preserv
ii  whiptail           0.51.6-20             Displays user-friendly dialog boxe
ii  xlibs              6.9.0.dfsg.1-5bpo2    X Window System client libraries m
ii  zlib1g             1:1.2.2-4.sarge.2     compression library - runtime

Versions of packages tetex-extra depends on:
ii  tetex-base                    3.0-18bpo1 Basic library files of teTeX
ii  tetex-bin                     3.0-17bpo1 The teTeX binary files
ii  ucf                           1.17       Update Configuration File: preserv

-- debconf information:
  tetex-base/olddat: true
  tetex-base/fmtutil-failed:
* tetex-bin/cnf_name:
  tetex-base/oldupdm:
  tetex-base/updmap-failed:

-- 
Frank Küster
Single Molecule Spectroscopy, Protein Folding @ Inst. f. Biochemie, Univ. Zürich
Debian Developer (teTeX/TeXLive)



Information forwarded to debian-bugs-dist@lists.debian.org, OHURA Makoto <ohura@debian.org>:
Bug#384332; Package jadetex. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@kuesterei.ch>:
Extra info received and forwarded to list. Copy sent to OHURA Makoto <ohura@debian.org>. Full text and rfc822 format available.

Message #10 received at 384332@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@kuesterei.ch>
To: 384332@bugs.debian.org
Subject: Re: Bug#384332: jadetex: Missing path setting, therefore problems building format when cslatex is installed
Date: Wed, 23 Aug 2006 17:50:46 +0200
Frank Küster <frank@debian.org> wrote:

> Note that there's an additional bug in tex-common: It also sets
> TEXINPUTS.jadetex and TEXINPUTS.pdfjadetex, so the change in jadetex
> won't have any effect until this is removed.  No bugnumber yet, I'll
> file it at once.

That's #384333

-- 
Frank Küster
Single Molecule Spectroscopy, Protein Folding @ Inst. f. Biochemie, Univ. Zürich
Debian Developer (teTeX/TeXLive)



Information forwarded to debian-bugs-dist@lists.debian.org, OHURA Makoto <ohura@debian.org>:
Bug#384332; Package jadetex. Full text and rfc822 format available.

Acknowledgement sent to Michael Meskes <meskes@debian.org>:
Extra info received and forwarded to list. Copy sent to OHURA Makoto <ohura@debian.org>. Full text and rfc822 format available.

Message #15 received at 384332@bugs.debian.org (full text, mbox):

From: Michael Meskes <meskes@debian.org>
To: ohura@debian.org, debian-tex-maint@lists.debian.org, preining@logic.at, 384334@bugs.debian.org, frank@debian.org, 384332@bugs.debian.org
Subject: jadetex NMU
Date: Sun, 17 Sep 2006 12:11:55 +0200
During our bug-squashing-party we decided that it would be a good idea
to make jadetex become RC bug free in etch and upload the NMU that
Norbert prepared. However, to make sure that Ohura-san is part of the
decision making I only uploaded it to delayed-4. So, if someone objects
we are able to react before it goes into incoming.

Michael
-- 
Michael Meskes
Email: Michael at Fam-Meskes dot De, Michael at Meskes dot (De|Com|Net|Org)
ICQ: 179140304, AIM/Yahoo: michaelmeskes, Jabber: meskes@jabber.org
Go SF 49ers! Go Rhein Fire! Use Debian GNU/Linux! Use PostgreSQL!



Reply sent to OHURA Makoto <ohura@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Frank Küster <frank@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #20 received at 384332-close@bugs.debian.org (full text, mbox):

From: OHURA Makoto <ohura@debian.org>
To: 384332-close@bugs.debian.org
Subject: Bug#384332: fixed in jadetex 3.13-7
Date: Sun, 17 Sep 2006 09:17:09 -0700
Source: jadetex
Source-Version: 3.13-7

We believe that the bug you reported is fixed in the latest version of
jadetex, which is due to be installed in the Debian FTP archive:

jadetex_3.13-7.diff.gz
  to pool/main/j/jadetex/jadetex_3.13-7.diff.gz
jadetex_3.13-7.dsc
  to pool/main/j/jadetex/jadetex_3.13-7.dsc
jadetex_3.13-7_all.deb
  to pool/main/j/jadetex/jadetex_3.13-7_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 384332@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
OHURA Makoto <ohura@debian.org> (supplier of updated jadetex package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 18 Sep 2006 00:31:35 +0900
Source: jadetex
Binary: jadetex
Architecture: source all
Version: 3.13-7
Distribution: unstable
Urgency: high
Maintainer: OHURA Makoto <ohura@debian.org>
Changed-By: OHURA Makoto <ohura@debian.org>
Description: 
 jadetex    - generator of printable output from SGML or XML using Jade
Closes: 335225 343104 352845 375037 384332 384334
Changes: 
 jadetex (3.13-7) unstable; urgency=high
 .
   * Set urgency to high.  This release fixes RC bugs.  And thanks to
     Norbert Preining.
   * Switched to dh_installtex (Closes: #352845, #335225, #343104)
     - Added the respective call to debian/rules
     - Removed fmt generation code in postinst
     - Removed prerm file
   * debian/rules:
     - Moved the ini files to /usr/share/texmf/tex/jadetex/config
   * debian/control:
     - Added alternative build-dependencies on texlive.
     - Added alternative dependencies on texlive. (Closes: #375037).
     - Moved debhelper from Build-Depends-Indep to Build-Depends.
     - Updated Standards-Version.
   * Changed fmtutil line to not load the latex format, but put the loading
     of latex.ini into jadetex.ini and the loading of pdflatex.ini into
     pdfjadetex.ini. (Closes: #384334).
   * debian/texmf.cnf:
     - Added latex sub directory in the search path.
     - Deleted useless pdftex path component (Closes: #384332).
   * debian/copyright: Extended the copyright notices on the Debian
     packaging part a bit.
Files: 
 1d1552fd798be1dcc8d894c43df0fa3a 706 tex optional jadetex_3.13-7.dsc
 348789f011ba8da06a8012e4dc354823 15548 tex optional jadetex_3.13-7.diff.gz
 38b5f3c21da53bb1b6a9711c1a0b1d83 238170 tex optional jadetex_3.13-7_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFDXIT7qLvonfc4IMRAsukAKCie9CijOMlOxIixrZyp6fvgBHvQgCfYRUv
4HwxmxisAG5YgAlAl/3p2D4=
=CCT6
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, OHURA Makoto <ohura@debian.org>:
Bug#384332; Package jadetex. Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to OHURA Makoto <ohura@debian.org>. Full text and rfc822 format available.

Message #25 received at 384332@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: "Michael Meskes" <meskes@debian.org>, <ohura@debian.org>, <debian-tex-maint@lists.debian.org>, <384334@bugs.debian.org>, <frank@debian.org>, <384332@bugs.debian.org>
Subject: Re: jadetex NMU
Date: Mon, 18 Sep 2006 15:29:49 +0400
Hi all!
 ..... Original Message .......
On Sun, 17 Sep 2006 12:11:55 +0200 "Michael Meskes" <meskes@debian.org> wrote:
>During our bug-squashing-party we decided that it would be a good idea
>to make jadetex become RC bug free in etch and upload the NMU that
>Norbert prepared. However, to make sure that Ohura-san is part of the

I hope you too did some basic testing that everything goes well and I didnt break anything.

Best wishes

Norbert
-------------------------------------------------------------------------------
Dr. Norbert Preining <preining@logic.at>                    Università di Siena
Debian Developer <preining@debian.org>                         Debian TeX Group
gpg DSA: 0x09C5B094      fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
-------------------------------------------------------------------------------




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 03:33:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 08:02:07 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.